Manuel PHP
Précédent |  | Suivant

# xml_parser_set_option

(PHP 3 >= 3.0.6, PHP 4, PHP 5)

xml_parser_set_option -- Affecte les options d'un analyseur XML

## Description

bool xml_parser_set_option ( resource parser, int option, mixed value )

`parser`

  Une référence vers un analyseur XML.

`option`

  L'option à modifier. Voir ci-dessous :

`value`

  La nouvelle valeur de l'option.

xml_parser_set_option() retourne `FALSE` si `parser` n'est pas une référence valide sur un analyseur XML, ou si l'option n'a pas pu être modifiée. Sinon, l'option est effectivement modifiée, et la fonction retourne `TRUE`.

Les options suivantes sont disponibles :

Tableau 1. options d'analyseur XML

Option | Type de données | Description
--- | --- | ---
`XML_OPTION_CASE_FOLDING` | entier | Contrôle la gestion de la casse des balises de cet analyseur XML. Par défaut, activé.
XML_OPTION_SKIP_TAGSTART | integer | Spécifie combien de caractères doivent être éludés du début du nom de la balise.
XML_OPTION_SKIP_WHITE | integer | Élude ou non les valeurs contenant des caractères blancs.
`XML_OPTION_TARGET_ENCODING` | chaîne de caractères | Modifie le codage à la cible utilisé par cet analyseur XML. Par défaut, c'est celui qui a été spécifié lors de l'appel de xml_parser_create(). Les codages supportés sont `ISO-8859-1`, `US-ASCII` et `UTF-8`.

Précédent | Sommaire | Suivant
xml_parser_get_option | Niveau supérieur | xml_set_character_data_handler